<!-- Copyright 2020 The Chromium Authors. All rights reserved.
Use of this source code is governed by a BSD-style license that can be
found in the LICENSE file. -->

<link rel="import" href="chrome://resources/cr_elements/cr_radio_button/cr_card_radio_button.html">
<link rel="import" href="chrome://resources/cr_elements/cr_radio_group/cr_radio_group.html">
<link rel="import" href="chrome://resources/html/action_link.html">
<link rel="import" href="chrome://resources/html/polymer.html">

<link rel="import" href="/components/common_styles.html">
<link rel="import" href="/components/hd_iron_icon.html">
<link rel="import" href="/components/oobe_dialog.html">
<link rel="import" href="/components/oobe_i18n_behavior.html">

<dom-module id="user-creation-element">
  <template>
    <style include="oobe-dialog-host">
      cr-card-radio-button {
        /* Removes the highlight that appears on tap. It has sharp
         * corners, which don't match the rounded corners of the card. */
        -webkit-tap-highlight-color: transparent;
        border-radius: 16px;
        height: 210px;
        margin-bottom: 20px;
        --cr-button-edge-spacing: 0;
        --cr-card-radio-button-height: 100%;
        --cr-card-radio-button-padding: 0;
        --cr-card-radio-button-margin: 0;
        --cr-radio-button-ink-size: 0;
        --cr-radio-group-item-padding: 8px;
      }

      cr-card-radio-button:not(:last-child) {
        margin-inline-end: 16px;
      }

      .card-container {
        padding-bottom: 32px;
        padding-inline-end: 16px;
        padding-inline-start: 16px;
        padding-top: 50px;
        text-align: center;
      }

      .card-icon {
        --iron-icon-width: 48px;
        --iron-icon-height: 48px;
      }

      .card-label {
        color: var(--oobe-header-text-color);
        font-family: var(--oobe-header-font-family);
        font-size: 16px;
        font-weight: 500;
        line-height: 24px;
        padding-inline-end: 32px;
        padding-inline-start: 32px;
        padding-top: 16px;
      }

      .card-text {
        color: var(--oobe-text-color);
        line-height: 20px;
      }

      .help-text {
        color: var(--oobe-subheader-text-color);
      }
    </style>
    <oobe-dialog id="userCreationDialog" role="dialog" has-buttons
        title-key="[[titleKey_]]" subtitle-key="[[subtitleKey_]]"
        aria-label$="[[i18nDynamic(locale, titleKey_)]]"
        for-step="create">
      <hd-iron-icon icon1x="oobe-32:googleg" icon2x="oobe-64:googleg"
        slot="oobe-icon">
      </hd-iron-icon>
      <div slot="footer" class="flex layout vertical center-justified">
        <cr-radio-group id="userType" class="layout horizontal"
            selected="{{selectedUserType}}">
          <cr-card-radio-button id="selfButton" class="flex" name="self">
            <div class="card-container layout vertical center">
              <hd-iron-icon class="card-icon" icon1x="oobe-48:avatar"
                  icon2x="oobe-96:avatar">
              </hd-iron-icon>
              <div class="card-label">
                [[i18nDynamic(locale, 'createForSelfLabel')]]
              </div>
              <div class="card-text">
                [[i18nDynamic(locale, 'createForSelfDescription')]]
              </div>
            </div>
          </cr-card-radio-button>
          <cr-card-radio-button id="childButton" class="flex" name="child">
            <div class="card-container layout vertical center">
              <hd-iron-icon class="card-icon" icon1x="oobe-48:child-user"
                icon2x="oobe-96:child-user">
              </hd-iron-icon>
              <div class="card-label">
                [[i18nDynamic(locale, 'createForChildLabel')]]
              </div>
              <div class="card-text">
                [[i18nDynamic(locale, 'createForChildDescription')]]
              </div>
            </div>
          </cr-card-radio-button>
        </cr-radio-group>
        </div>
      </div>
      <div slot="back-navigation">
        <oobe-back-button id="backButton" on-click="onBackClicked_"
            hidden="[[!isBackButtonVisible_]]">
        </oobe-back-button>
      </div>
      <div slot="bottom-buttons">
        <oobe-next-button id="nextButton" class="focus-on-show"
            on-click="onNextClicked_">
        </oobe-next-button>
      </div>
    </oobe-dialog>
    <oobe-dialog id="childSignInDialog" role="dialog" has-buttons
        title-key="childSignInTitle" for-step="child"
        aria-label$="[[i18nDynamic(locale, 'childSignInTitle')]]">
      <hd-iron-icon icon1x="oobe-32:family" icon2x="oobe-64:family"
        slot="oobe-icon">
      </hd-iron-icon>
      <div slot="subtitle">
        <div>
          [[i18nDynamic(locale, 'childSignInSubtitle')]]
          <a class="oobe-local-link" on-click="onLearnMoreClicked_"
              is="action-link">
            [[i18nDynamic(locale, 'childSignInLearnMore')]]
          </a>
        </div>
      </div>
      <div slot="footer" class="footer-container flex layout vertical
          center-justified">
        <cr-radio-group id="childSignInMethod" class="layout horizontal"
            selected="{{selectedSignInMethod}}">
          <cr-card-radio-button id="childCreateButton" name="create"
              class="flex focus-on-show">
            <div class="card-container layout vertical center">
              <hd-iron-icon class="card-icon" icon1x="oobe-48:person-add"
                  icon2x="oobe-96:person-add">
              </hd-iron-icon>
              <div class="card-label">
                [[i18nDynamic(locale, 'createAccountForChildLabel')]]
              </div>
            </div>
          </cr-card-radio-button>
          <cr-card-radio-button id="childSignInButton" name="signin"
              class="flex">
            <div class="card-container layout vertical center">
              <hd-iron-icon class="card-icon" icon1x="oobe-48:supervised-user"
                  icon2x="oobe-96:supervised-user">
              </hd-iron-icon>
              <div class="card-label">
                [[i18nDynamic(locale, 'signInForChildLabel')]]
              </div>
            </div>
          </cr-card-radio-button>
        </cr-radio-group>
        <div class="help-text">
          [[i18nDynamic(locale, 'childSignInParentNotificationText')]]
        </div>
      </div>
      <div slot="back-navigation">
        <oobe-back-button id="childBackButton" on-click="onBackClicked_">
        </oobe-back-button>
      </div>
      <div slot="bottom-buttons">
        <oobe-next-button id="childNextButton" on-click="onNextClicked_"
            disabled="[[!selectedSignInMethod]]">
        </oobe-next-button>
      </div>
    </oobe-dialog>
    <oobe-modal-dialog id="learnMoreDialog"
        title-key="childSignInLearnMoreDialogTitle">
      <div slot="content" class="card-text">
        [[i18nDynamic(locale, 'childSignInLearnMoreDialogText')]]
      </div>
    </oobe-modal-dialog>
  </template>
</dom-module>
